<?php

namespace App\Modules\FactPaymentMethod\Application\Delete;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class DeleteFactPaymentMethodQuery implements Query
{
    public function __construct(
        private int $idFactPaymentMethod
    ) {
    }

    public function idFactPaymentMethod(): int
    {
        return $this->idFactPaymentMethod;
    }
}
